Skip to main content
PATCH
Update a webhook

Authorizations

X-API-Key
string
header
required

Your workspace's API key. It starts with b2b_sk_.

Path Parameters

webhook_id
string<uuid>
required

Body

application/json
name
string | null
url
string | null
is_active
boolean | null
event_types
string[] | null
workflow_ids
string<uuid>[] | null

Response

Success

name
string
required
url
string
required
id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
is_active
boolean
default:true
event_types
string[]
workflow_ids
string<uuid>[] | null
secret
string | null
secret_last4
string | null
secret_masked
string | null